#!/bin/bash
WORK_DIR="/sf/storage/gmo/hic/out/by_User/KhabarovaAnya/Pig/raw/BGI_01_04/"
cd $WORK_DIR || { echo "Невозможно перейти в директорию $WORK_DIR"; exit 1; }

# Объявление образцов без R1 и R2, только общие части
samples=("Neon1203_8_AAVS" "Neon1203_7_GG_2.fq.gz" "Neon1203_7_CM" "Neon1203_7_B4" "Neon1203_5_GG" "Neon1203_5_CM" "Neon1203_4_GG" "Neon1203_4_CM" "Neon1203_4_B4" "Neon1203_3_CM" "Neon1203_3_B4" "Neon1203_2_GG" "Neon1203_2_CM" "Neon1203_2_B4" "Neon1203_1_GG" "Neon1203_1_CM" "Neon1203_1_B4" "PEF_7_CM_L1" "PEF_7_B4_L1" "PEF_6_GG_L1" "PEF_6_CM_L1" "PEF_6_B4_L1")

# Создание директории для выравнивания, если её ещё нет
mkdir -p ${WORK_DIR}/align_paired

for sample in "${samples[@]}"; do
    echo "Обрабатываем образец: ${sample}"
    echo "=========="

    # Выполняем выравнивание
    bwa mem /sf/storage/gmo/hic/out/by_User/KhabarovaAnya/pig_genome/GCF_000003025.6_Sscrofa11.1_genomic.fna ${WORK_DIR}/${sample}_1.f*q.gz ${WORK_DIR}/${sample}_2.f*q.gz > ${WORK_DIR}/align_paired/${sample}.sam

    # Преобразуем SAM в BAM
    samtools view -b -h ${WORK_DIR}/align_paired/${sample}.sam > ${WORK_DIR}/align_paired/${sample}.bam 

    # Сортируем BAM
    samtools sort -o ${WORK_DIR}/align_paired/${sample}.sorted.bam ${WORK_DIR}/align_paired/${sample}.bam 

    # Индексируем отсортированный BAM файл
    samtools index ${WORK_DIR}/align_paired/${sample}.sorted.bam 
done